Package org.jbpm.services.task.impl

## Class TaskAdminServiceImpl

- java.lang.Object
- - org.jbpm.services.task.impl.TaskAdminServiceImpl

- All Implemented Interfaces:
    `org.kie.internal.task.api.TaskAdminService`

      public class TaskAdminServiceImpl
      extends Object
      implements org.kie.internal.task.api.TaskAdminService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskAdminServiceImpl()` |
    `TaskAdminServiceImpl​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `archiveTasks​(List<org.kie.api.task.model.TaskSummary> tasks)` |
    `List<org.kie.api.task.model.TaskSummary>` | `getActiveTasks()` |
    `List<org.kie.api.task.model.TaskSummary>` | `getActiveTasks​(Date since)` |
    `List<org.kie.api.task.model.TaskSummary>` | `getArchivedTasks()` |
    `List<org.kie.api.task.model.TaskSummary>` | `getCompletedTasks()` |
    `List<org.kie.api.task.model.TaskSummary>` | `getCompletedTasks​(Date since)` |
    `List<org.kie.api.task.model.TaskSummary>` | `getCompletedTasksByProcessId​(Long processId)` |
    `int` | `removeAllTasks()` |
    `int` | `removeTasks​(List<org.kie.api.task.model.TaskSummary> tasks)` |
    `void` | `setPersistenceContext​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskAdminServiceImpl

          public TaskAdminServiceImpl()

    - #### TaskAdminServiceImpl

          public TaskAdminServiceImpl​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

  - ### Method Detail

    - #### setPersistenceContext

          public void setPersistenceContext​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

    - #### getActiveTasks

          public List<org.kie.api.task.model.TaskSummary> getActiveTasks()

      Specified by:
        `getActiveTasks` in interface `org.kie.internal.task.api.TaskAdminService`

    - #### getActiveTasks

          public List<org.kie.api.task.model.TaskSummary> getActiveTasks​(Date since)

      Specified by:
        `getActiveTasks` in interface `org.kie.internal.task.api.TaskAdminService`

    - #### getCompletedTasks

          public List<org.kie.api.task.model.TaskSummary> getCompletedTasks()

      Specified by:
        `getCompletedTasks` in interface `org.kie.internal.task.api.TaskAdminService`

    - #### getCompletedTasks

          public List<org.kie.api.task.model.TaskSummary> getCompletedTasks​(Date since)

      Specified by:
        `getCompletedTasks` in interface `org.kie.internal.task.api.TaskAdminService`

    - #### getCompletedTasksByProcessId

          public List<org.kie.api.task.model.TaskSummary> getCompletedTasksByProcessId​(Long processId)

      Specified by:
        `getCompletedTasksByProcessId` in interface `org.kie.internal.task.api.TaskAdminService`

    - #### archiveTasks

          public int archiveTasks​(List<org.kie.api.task.model.TaskSummary> tasks)

      Specified by:
        `archiveTasks` in interface `org.kie.internal.task.api.TaskAdminService`

    - #### getArchivedTasks

          public List<org.kie.api.task.model.TaskSummary> getArchivedTasks()

      Specified by:
        `getArchivedTasks` in interface `org.kie.internal.task.api.TaskAdminService`

    - #### removeTasks

          public int removeTasks​(List<org.kie.api.task.model.TaskSummary> tasks)

      Specified by:
        `removeTasks` in interface `org.kie.internal.task.api.TaskAdminService`

    - #### removeAllTasks

          public int removeAllTasks()

      Specified by:
        `removeAllTasks` in interface `org.kie.internal.task.api.TaskAdminService`